libvisual-0.4-dev_0.4.0-6_amd64.deb


Advertisement

Description

libvisual-0.4-dev - Audio visualization framework (development package)

Property Value
Distribution Debian 8 (Jessie)
Repository Debian Main amd64
Package name libvisual-0.4-dev
Package version 0.4.0
Package release 6
Package architecture amd64
Package type deb
Installed size 821 B
Download size 151.61 KB
Official Mirror ftp.br.debian.org
Libvisual is a generic visualization framework that allows
applications to easily access and manage visualization plugins.
Audio visualization is the process of making pretty moving images
that are correlated in some way to the audio currently being played
by a media player.  Most audio visualization is tied to a specific
application or media player, making it difficult to share code.
Libvisual allows applications to use existing visualization plugins
written for the libvisual framework.
This package contains development headers and libraries used to
compile applications that use libvisual.

Alternatives

Package Version Architecture Repository
libvisual-0.4-dev_0.4.0-6_i386.deb 0.4.0 i386 Debian Main
libvisual-0.4-dev - - -

Requires

Name Value
libc-dev -
libc6-dev -
libvisual-0.4-0 = 0.4.0-6
pkg-config -

Replaces

Name Value
libvisual0.2-dev -

Download

Type URL
Binary Package libvisual-0.4-dev_0.4.0-6_amd64.deb
Source Package libvisual

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install libvisual-0.4-dev deb package:
    # sudo apt-get install libvisual-0.4-dev

Files

Path
/usr/include/libvisual-0.4/libvisual/libvisual.h
/usr/include/libvisual-0.4/libvisual/lv_actor.h
/usr/include/libvisual-0.4/libvisual/lv_audio.h
/usr/include/libvisual-0.4/libvisual/lv_bin.h
/usr/include/libvisual-0.4/libvisual/lv_bits.h
/usr/include/libvisual-0.4/libvisual/lv_bmp.h
/usr/include/libvisual-0.4/libvisual/lv_buffer.h
/usr/include/libvisual-0.4/libvisual/lv_cache.h
/usr/include/libvisual-0.4/libvisual/lv_collection.h
/usr/include/libvisual-0.4/libvisual/lv_color.h
/usr/include/libvisual-0.4/libvisual/lv_common.h
/usr/include/libvisual-0.4/libvisual/lv_config.h
/usr/include/libvisual-0.4/libvisual/lv_cpu.h
/usr/include/libvisual-0.4/libvisual/lv_defines.h
/usr/include/libvisual-0.4/libvisual/lv_error.h
/usr/include/libvisual-0.4/libvisual/lv_event.h
/usr/include/libvisual-0.4/libvisual/lv_fourier.h
/usr/include/libvisual-0.4/libvisual/lv_gl.h
/usr/include/libvisual-0.4/libvisual/lv_hashlist.h
/usr/include/libvisual-0.4/libvisual/lv_hashmap.h
/usr/include/libvisual-0.4/libvisual/lv_input.h
/usr/include/libvisual-0.4/libvisual/lv_keysym.h
/usr/include/libvisual-0.4/libvisual/lv_libvisual.h
/usr/include/libvisual-0.4/libvisual/lv_list.h
/usr/include/libvisual-0.4/libvisual/lv_log.h
/usr/include/libvisual-0.4/libvisual/lv_math.h
/usr/include/libvisual-0.4/libvisual/lv_mem.h
/usr/include/libvisual-0.4/libvisual/lv_morph.h
/usr/include/libvisual-0.4/libvisual/lv_object.h
/usr/include/libvisual-0.4/libvisual/lv_os.h
/usr/include/libvisual-0.4/libvisual/lv_palette.h
/usr/include/libvisual-0.4/libvisual/lv_param.h
/usr/include/libvisual-0.4/libvisual/lv_plugin.h
/usr/include/libvisual-0.4/libvisual/lv_random.h
/usr/include/libvisual-0.4/libvisual/lv_rectangle.h
/usr/include/libvisual-0.4/libvisual/lv_ringbuffer.h
/usr/include/libvisual-0.4/libvisual/lv_songinfo.h
/usr/include/libvisual-0.4/libvisual/lv_thread.h
/usr/include/libvisual-0.4/libvisual/lv_time.h
/usr/include/libvisual-0.4/libvisual/lv_transform.h
/usr/include/libvisual-0.4/libvisual/lv_types.h
/usr/include/libvisual-0.4/libvisual/lv_ui.h
/usr/include/libvisual-0.4/libvisual/lv_utils.h
/usr/include/libvisual-0.4/libvisual/lv_video.h
/usr/include/libvisual-0.4/libvisual/lvconfig.h
/usr/lib/x86_64-linux-gnu/libvisual-0.4.a
/usr/lib/x86_64-linux-gnu/libvisual-0.4.so
/usr/lib/x86_64-linux-gnu/pkgconfig/libvisual-0.4.pc
/usr/share/doc/libvisual-0.4-dev/changelog.Debian.gz
/usr/share/doc/libvisual-0.4-dev/changelog.gz
/usr/share/doc/libvisual-0.4-dev/copyright

Changelog

2014-10-11 - Helge Kreutzmann <debian@helgefjell.de>
libvisual (0.4.0-6) unstable; urgency=medium
* QA upload.
* Add po/de.po. Thanks to Chris Leick. Closes: #509208.
Minor errors in po file corrected by me.
2012-06-20 - Boris Pek <tehnick-8@mail.ru>
libvisual (0.4.0-5) unstable; urgency=low
* QA upload.
* Added debian/watch.
* Updated debian/control:
- added homepage field
- fixed lintian warning package-needs-versioned-debhelper-build-depends 9
* Updated debian/rules:
fixed broken names of translation files. (Closes: #646964)
* Added file debian/patches/fix-spelling-errors.
* Updated files debian/patches/0*_fix:
fixed lintian notes quilt-patch-missing-description.
* Updated debian/copyright:
file was rewritten in according to Copyright format 1.0.
* Bumped Standards-Version to 3.9.3.
2011-10-26 - Steve Langasek <vorlon@debian.org>
libvisual (0.4.0-4) unstable; urgency=low
* QA upload, orphaning package; see #646655.
* Drop incorrect Vcs-* fields, which point at an upstream tree, not a
package tree.
* Drop unused build-dependency on chrpath.
* debian/rules: fix dh_auto_configure handling to use a proper override
rule.
* Bump debian/compat to 9 for hardening and multiarch support.
* Mark the runtime package Multi-Arch: same.
* refresh debian/patches/01_x86_fxsr_magic_fix, to not embed ../ in the
path name.  Closes: #608784.
* Use dh-autoreconf instead of relying on an autogenerated patch;
otherwise, this breaks down if autoconf *is* available in the build
environment.  Closes: #643199.
* Also build-depend on autopoint, needed by this package.
* Add missing build-dependency on pkg-config.
* debian/patches/Werror=format-security-fix: Fixes for -Werror=format-
security.
* Bump shlibdeps to account for the changed plugin path, and declare a
Breaks: on pre-multiarch versions of libvisual-0.4-plugins.
* Standards-Version 3.9.2.
2010-05-02 - Brandon Holtsclaw <me@brandonholtsclaw.com>
libvisual (0.4.0-3) unstable; urgency=low
* Acknowledge NMU for lv_cpu.c fix. Thanks
* Fixed Maintainer field email address
* Updated Packaging to source 3.0 (quilt) format and 
Moved direct source edits from NMU to patches.
* Added patch from Ubuntu for inline redefine fix.
* Very old config.sub and config.guess replaced
2008-03-16 - Pierre Habouzit <madcoder@debian.org>
libvisual (0.4.0-2.1) unstable; urgency=low
* Non-maintainer upload.
* libvisual/lv_cpu.c: remove X86_FXSR_MAGIC guard (not defined anywhere).
(Closes: #456856).
2007-11-23 - Brandon Holtsclaw <brandon@imbrandon.com>
libvisual (0.4.0-2) unstable; urgency=low
* NMU ACK. Thanks
* Bump standard version to 3.7.2
* Maintainer changed (Closes: #451212)
2007-01-14 - Sjoerd Simons <sjoerd@debian.org>
libvisual (0.4.0-1.1) unstable; urgency=high
* NMU
* Disable altivec detection code, it breaks gstreamer on machines without
altivec.
2006-05-19 - David Schleef <ds@schleef.org>
libvisual (0.4.0-1) unstable; urgency=low
* New upstream release
* Create directories to quell warnings.  (Closes: 355020)
2006-01-25 - David Schleef <ds@schleef.org>
libvisual (0.2.0-4) unstable; urgency=low
* Remove -mmx from CFLAGS (Closes #349479), and fix asm code to
compile.
2006-01-22 - David Schleef <ds@schleef.org>
libvisual (0.2.0-3) unstable; urgency=low
* Fix the build problems on gcc-4.0 and drop gcc-3.4 dependency.
(Closes: #337480, #343005)
* Fix spelling in description. (Closes: #334466)
* Move libvisual0.2 to section: libs (duh) (Closes: #349296)

See Also

Package Description
libvisual-0.4-plugins_0.4.0.dfsg.1-7_amd64.deb Audio visualization framework plugins
libvisual-projectm_2.1.0+dfsg-1+b1_amd64.deb libvisual module for projectM
libvisualvm-jni_1.3.8-1_amd64.deb All-in-One Java Troubleshooting Tool (JNI libraries)
libvitacilina-perl_0.2-1_all.deb Perl feed aggregation library
libvivautils-dev_1.0+git20140604.271f86fa51-1_amd64.deb library for visualization of trace files (development files)
libvivautils1_1.0+git20140604.271f86fa51-1_amd64.deb library for visualization of trace files
libvlc-dev_2.2.7-1~deb8u1_amd64.deb development files for libvlc
libvlc5_2.2.7-1~deb8u1_amd64.deb multimedia player and streamer library
libvlccore-dev_2.2.7-1~deb8u1_amd64.deb development files for libvlccore
libvlccore8_2.2.7-1~deb8u1_amd64.deb base library for VLC and its modules
libvldocking-java_2.1.4-4_all.deb Java components for building applications with Docking capabilities
libvlfeat-dev_0.9.17+dfsg0-6+b1_amd64.deb Computer vision library focussing on visual features and clustering
libvlfeat-doc_0.9.17+dfsg0-6_all.deb Computer vision library focussing on visual features and clustering
libvlfeat0_0.9.17+dfsg0-6+b1_amd64.deb Computer vision library focussing on visual features and clustering
libvm-ec2-perl_1.28-1_all.deb module providing controls on Amazon EC2 and Eucalyptus
Advertisement
Advertisement